mixCopula-class {copula} | R Documentation

## Class `"mixCopula"` of Copula Mixtures

### Description

The class `"mixCopula"` is the class of all finite mixtures of copulas.

These are given by (a list of) m “arbitrary” copulas, and their respective m non-negative probability weights.

### Objects from the Class

Objects are typically created by `mixCopula()`.

### Slots

`w`:

  Object of class `"mixWeights"`, basically a non-negative `numeric` vector of length, say m, which sums to one.

`cops`:

  Object of class `"parClist"`, a `list` of (parametrized) copulas, `"parCopula"`.

### Extends

Class `"parCopula"`, directly. Class `"Copula"`, by class "parCopula", distance 2.

### Methods

dim

  `signature(x = "mixCopula")`: dimension of copula.

rho

  `signature(x = "mixCopula")`: Spearman's rho of copula `x`.

lambda

  `signature(x = "mixCopula")`: lower and upper tail dependecies `lambda`, (λ[L],λ[U]), of the mixture copula.

### Note

As the probability weights must some to one (`1`), which is part of the validity (see `validObject`) of an object of class `"mixWeights"`, the number of “free” parameters inherently is (at most) one less than the number of mixture components m.

Because of that, it does not make sense to fix (see `fixParam` or `fixedParam<-`) all but one of the weights: Either all are fixed, or at least two must be free. Further note, that the definition of free or fixed parameters, and the meaning of the methods (for `mixCopula`) of `getTheta`, `setTheta` and `fixedParam<-` will probably change in a next release of package copula, where it is planned to use a reparametrization better suited for `fitCopula`.

### See Also

`mixCopula` for creation and examples.

### Examples

    showClass("mixCopula")

[Package copula version 0.999-18 Index]